/**************************************************************************
<MODULE NAME>
<FILENAME></FILENAME>
<HISTORY>
	<MODIFICATION>
		<DATE>04/01/2006</DATE>
		<AUTHOR>DRO</AUTHOR>
		<DESCRIPTION>
		</DESCRIPTION>
	</MODIFICATION>
</HISTORY>
</MODULE NAME>
**************************************************************************/
#ifndef __CdRdIJit_H__
#define __CdRdIJit_H__

/**************************************************************************
INCLUDE FILE
**************************************************************************/
#include "..\comp\cardread\CdRdMger.h"


/**************************************************************************
<CLASS>
	<NAME>CCardReaderJites</NAME>
	<MOTHERS>
		<MOTHER></MOTHER>
	</MOTHERS>
	<DESCRIPTION>
	</DESCRIPTION>
</CLASS>
**************************************************************************/
class CCardReaderJites : public CCardReaderManager
{
public:
	CCardReaderJites(void);
	virtual ~CCardReaderJites(void);

	virtual int LecteurInit(s_Parameters* shParm);
	virtual int ReadCommande(char* pzLectBuffer);
	virtual int WriteCommande(const char* pzString);
	virtual int EjectCommande(unsigned char ucDirection);
	virtual int StatusCommande(void);
	virtual int Tempo(void);
	virtual int WaitCard(void);
	virtual void CheckQueue(void);

	static CCardReaderManager* Instance(void);

private:
	virtual int TestRetour(char etat);
	virtual int Tcr(char *Buff_Commande,int etat);

	
	enum e_Commande
	{
		/*eEjectFront = 'f',
		eEjectRear = 'e',
		eRead = 'r',
		eWrite = 'w',
		eCR = '\x0D',
		eStatus = 's',*/
		eTimeOut = 2
	};

	char m_szLectBuffer[100];
	uchar m_arucRxBuffer[100];
	uchar m_arucTxBuffer[100];
	uchar m_arucBuffCommande[100];

};

#endif /*__CdRdIJit_H__*/